/*
 * @Author: Kane
 * @Date: 2023-02-28 09:26:45
 * @LastEditors: Kane
 * @FilePath: /deskop_task_schedule/code/web/task_schedule/src/utils/localStorage/localStorage.ts
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
import { StuffInfo } from "@/data/cpicxim/StuffInfo";

const STUFF_ITEM = "STUFF_INFO";

function loadStaffInfo(): StuffInfo
{
    const stuff = new StuffInfo();

    let obj = null;

    try
    {
        obj = JSON.parse(window.localStorage.getItem(STUFF_ITEM));
    }
    catch (error)
    {
        obj = {};
    }

    stuff.StuffCode = obj._stuffCode || "";
    stuff.StuffName = obj._stuffName || "";
    stuff.P13UID = obj._p13uid || "";

    return stuff;
}

function saveStuffInfo(stuff: StuffInfo)
{
    const json = JSON.stringify(stuff);

    window.localStorage.setItem(STUFF_ITEM, json);
};

export { loadStaffInfo, saveStuffInfo };